## START: Set by rpmautospec
## (rpmautospec version 0.8.2)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global desc %{expand: \
The Instrumentation and Tracing Technology (ITT) API enables your application
to generate and control the collection of trace data during its execution
across different Intel tools.}

Name:		ittapi
Version:	3.25.4
Release:	%autorelease
Summary:	Intel Instrumentation and Tracing Technology and Just-In-Time API

License:	BSD-3-Clause and GPL-2.0-only
URL:		https://github.com/intel/ittapi
Source0:	%{url}/archive/v%{version}/%{name}-%{version}.tar.gz
Source1:	test.cpp

Patch0:		ittapi-fedora.patch

BuildRequires:	cmake >= 3.1
BuildRequires:	gcc-c++

# C header file library for x86 processors.
ExclusiveArch:	x86_64

%description
%{desc}
	
%package devel
Summary:	Development files for %{name}
Requires:	%{name}%{?_isa} = %{version}-%{release}

%description devel
%{desc}

%prep
%autosetup -p1
cp %{SOURCE1} .

%build
%cmake \
	-DITT_API_IPT_SUPPORT=1 \
	-DITT_API_FORTRAN_SUPPORT=0
%cmake_build

%install
%cmake_install

%check
$CXX -I%{buildroot}%{_includedir} -L%{buildroot}%{_libdir} -littnotify -o test test.cpp
LD_LIBRARY_PATH=%{buildroot}%{_libdir} ./test

%files
%license LICENSES/BSD-3-Clause.txt LICENSES/GPL-2.0-only.txt
%doc README.md
%{_libdir}/libittnotify.so.%{version}
%{_libdir}/libittnotify.so.3

%files devel
%{_includedir}/*
%{_libdir}/libittnotify.so
%{_libdir}/cmake/%{name}

%changelog
## START: Generated by rpmautospec
* Thu Jul 24 2025 Fedora Release Engineering <releng@fedoraproject.org> - 3.25.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_43_Mass_Rebuild

* Thu Jan 16 2025 Ali Erdinc Koroglu <aekoroglu@linux.intel.com> - 3.25.4-1
- Update to 3.25.4 (rhbz#2337604)

* Tue Sep 17 2024 Ali Erdinc Koroglu <aekoroglu@linux.intel.com> - 3.25.3-1
- 1st release
## END: Generated by rpmautospec
